package edu.mermet.tp8.fenetres.modales;

import java.awt.Frame;
import java.util.Locale;
import java.util.ResourceBundle;

import javax.swing.JDialog;
import javax.swing.JEditorPane;
import javax.swing.JList;
import javax.swing.JSplitPane;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;

public class CommentFaireDialogue extends JDialog {
	private ResourceBundle bundle = ResourceBundle.getBundle("commentFaire", Locale.FRENCH);
	private JEditorPane editorPane;
	
	public CommentFaireDialogue(Frame owner) {
		super(owner, false);
		setTitle(bundle.getString("commentFaire"));
		init();
	}
	
	private void init() {
		contents();
		pack();
		setLocationRelativeTo(null);
		setVisible(true);
	}
	
	private void contents() {
		setContentPane(new JSplitPane(JSplitPane.HORIZONTAL_SPLIT));
		initListe();
		initPageTuto();
	}

	private void initListe() {
		String[] items = {
			bundle.getString("commentFaire"),
			bundle.getString("conversionCF"),
			bundle.getString("conversionFC"),
			bundle.getString("quitter")
		};
		JList<String> list = new JList<>(items);
		list.addListSelectionListener(new ListSelectionListener() {
			@Override
			public void valueChanged(ListSelectionEvent arg0) {
				String valeur = list.getSelectedValue();
				if(valeur.equals(bundle.getString("commentFaire"))) {
					editorPane.setText(bundle.getString("tutoHowTo"));
				} else if(valeur.equals(bundle.getString("conversionCF"))) {
					editorPane.setText(bundle.getString("tutoCF"));
				} else if(valeur.equals(bundle.getString("conversionFC"))) {
					editorPane.setText(bundle.getString("tutoFC"));
				} else if(valeur.equals(bundle.getString("quitter"))) {
					dispose();
				} else {
					editorPane.setText(bundle.getString("texteAccueil"));
				}
			}
		});
		add(list);
	}

	private void initPageTuto() {
		String texte = bundle.getString("texteAccueil");
		editorPane = new JEditorPane("text/html", texte);
		editorPane.setEditable(false);
		add(editorPane);
	}
}
